%
% DESCRIPTION: Program to create the Air Stations GDF file in the Matlab format.
%
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC';%input('TimeZone (char) = ');
[Description] = 'Description of dataset'; %input('Description of data (char) = ');

[FieldDescription] = {
    'Station_codename','Code name of the station'
    'Lat','Latitude of the station'
    'Long','Longitude of the station'
    'Depth','Depth of the station'
    };
[FieldType] = {
    'Station_codename',3
    'Lat',124
    'Long',134
    'Depth',114
    };
[FieldUnit] = {
    'Station_codename','char'
    'Lat','deg'
    'Long','deg'
    'Depth','km'
    };
[d] = struct();

k=1
d(k).Station_codename=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Depth=[];
 
 
k=2
d(k).Station_codename=[];
d(k).Lat=[];
d(k).Long=[];
d(k).Depth=[];


clear k 
save('GDF_EpisodeName_Air_stations_example.mat')
